using Rdh.SocketServer.Client.ViewModels;
using System.Windows;

namespace Rdh.SocketServer.Client.Views
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindowView : Window
    {
        public MainWindowView()
        {
            InitializeComponent();
            this.Loaded += MainWindowView_Loaded;
        }

        private void MainWindowView_Loaded(object sender, RoutedEventArgs e)
        {
            MainWindowViewModel? vm = this.DataContext as MainWindowViewModel;
            if (vm != null) 
            {
                vm.Init();
            }
        }
    }
}
